Data Fields
PurpleSrvTxtQueryUiOps Struct Reference

SRV Request UI operations; UIs should implement this if they want to do SRV lookups themselves, rather than relying on the core. More...

`#include <dnssrv.h>`

## Data Fields
gboolean(* | resolve )(PurpleSrvTxtQueryData *query_data, PurpleSrvTxtQueryResolvedCallback resolved_cb, PurpleSrvTxtQueryFailedCallback failed_cb)
| If implemented, return TRUE if the UI takes responsibility for SRV queries. More...
void(* | destroy )(PurpleSrvTxtQueryData *query_data)
| Called just before query_data is freed; this should cancel any further use of query_data the UI would make. More...
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

SRV Request UI operations; UIs should implement this if they want to do SRV lookups themselves, rather than relying on the core.

See also
  ui-ops

Definition at line 66 of file dnssrv.h.

## Field Documentation

## ◆ destroy

void(* PurpleSrvTxtQueryUiOps::destroy) (PurpleSrvTxtQueryData *query_data)

Called just before query_data is freed; this should cancel any further use of query_data the UI would make.

Unneeded if #resolve_host is not implemented.

Definition at line 79 of file dnssrv.h.

## ◆ resolve

gboolean(* PurpleSrvTxtQueryUiOps::resolve) (PurpleSrvTxtQueryData *query_data, PurpleSrvTxtQueryResolvedCallback resolved_cb, PurpleSrvTxtQueryFailedCallback failed_cb)

If implemented, return TRUE if the UI takes responsibility for SRV queries.

When returning FALSE, the standard implementation is used. These callbacks MUST be called asynchronously.

Definition at line 71 of file dnssrv.h.

The documentation for this struct was generated from the following file:

- dnssrv.h